Describe the Vector Database

Use the describe vector database operation to get summary statistics for the entire Vector Database service.

The operation returns a JSON response with database-level statistics, including total tables, models, and vectors.

See the following for an example of the syntax used to call describe_vector_database:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    access_token="<bearer-token>", # or username="<user>", password="<pass>"
))
summary = client.describe_vector_database()
print(summary)

Example response:

{
    "total_tables": 48,
    "total_vectors": 1353894,
    "total_models": 9
}

For more information about the describe_vector_database operation, see Python API Reference.

See how GET /vecdb/summary can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/summary" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Example 200 response:

{
  "total_tables": 3,
  "total_vectors": 12500,
  "total_models": 2
}

For more information about GET /vecdb/summary, see REST API Reference.

See how DBMS_VECTOR_DATABASE.SUMMARY() can be used in the following example:

dbms_vector_database.summary()
Example response:
{
  "total_tables": 3,
  "total_vectors": 12500,
  "total_models": 2
}

For more information about the PL/SQL implementation, including parameters, see SUMMARY.